## org.jfree.chart.util
Interface ShadowGenerator

All Known Implementing Classes:
  DefaultShadowGenerator

    public interface ShadowGenerator

An interface that defines the API for a shadow generator. Some plot classes use this to create drop shadows.

Since:
  1.0.14

Method Summary
`int` `calculateOffsetX()` Calculates the x-offset for drawing the shadow image relative to the source.
`int` `calculateOffsetY()` Calculates the y-offset for drawing the shadow image relative to the source.
`java.awt.image.BufferedImage` `createDropShadow(java.awt.image.BufferedImage source)` Creates and returns an image containing the drop shadow for the specified source image.

Method Detail

### createDropShadow

    java.awt.image.BufferedImage createDropShadow(java.awt.image.BufferedImage source)

  Creates and returns an image containing the drop shadow for the specified source image.

  Parameters:
    `source` - the source image.
  Returns:
    A new image containing the shadow.

### calculateOffsetX

    int calculateOffsetX()

  Calculates the x-offset for drawing the shadow image relative to the source.

  Returns:
    The x-offset.

### calculateOffsetY

    int calculateOffsetY()

  Calculates the y-offset for drawing the shadow image relative to the source.

  Returns:
    The y-offset.